import matplotlib.pyplot as plt

ax=plt.gca()
ax.spines["right"].set_color("none")
ax.spines["top"].set_color("none")
ax.xaxis.set_ticks_position("bottom")
ax.spines["bottom"].set_position(("data",0))
ax.yaxis.set_ticks_position("left")
ax.spines["left"].set_position(("data",0))

x=[0,0,1,1]

y=[0,1,0,1]

#Pour afficher les points en vert
#for i in range(len(x)):
#    plt.plot(x[i], y[i], color = "green", marker = "o")
#plt.show()

def g(x,y,a,b,c):
    return a*x+b*y+c

def Heaviside(x):
    if x >= 0 :
        return 1
    return 0

def neurone_biais(x,y,a,b,c):
    return Heaviside(g(x,y,a,b,c))

# Obtenir le XOR
for i in range(len(x)):
    neurone_1=neurone_biais(x[i], y[i],1,-1,-1)
    neurone_2=neurone_biais(x[i], y[i],-1,1,-1)
    if neurone_biais(neurone_1, neurone_2,1,1,-1) == 0:
        plt.plot(x[i], y[i], color = "red", marker = "x")
    else:
        plt.plot(x[i], y[i], color = "blue", marker = "x")
plt.show()